summary refs log tree commit diff
path: root/.config/senpai
diff options
context:
space:
mode:
Diffstat (limited to '.config/senpai')
-rwxr-xr-x.config/senpai/highlight9
-rw-r--r--.config/senpai/senpai.scfg15
2 files changed, 24 insertions, 0 deletions
diff --git a/.config/senpai/highlight b/.config/senpai/highlight
new file mode 100755
index 0000000..3f2f3e9
--- /dev/null
+++ b/.config/senpai/highlight
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -ex
+escape() {
+	printf "%s" "$1" | sed 's#\\#\\\\#g'
+}
+
+fyi -a senpai -i senpai -c reminder \
+	"[$BUFFER] $SENDER" \
+	"$(escape "$MESSAGE")"
diff --git a/.config/senpai/senpai.scfg b/.config/senpai/senpai.scfg
new file mode 100644
index 0000000..6d5044f
--- /dev/null
+++ b/.config/senpai/senpai.scfg
@@ -0,0 +1,15 @@
+address chat.sr.ht
+username robertgzr@hibiki
+nickname robertgzr
+password-cmd rbw get f283788a-7798-4fa8-82c5-1a3e7f560fbf
+
+pane-widths {
+	nicknames 12
+}
+
+colors {
+	nicks base
+	nicks fixed {
+		self cyan
+	}
+}